Package com.avaya.clientservices.contact.fields

## Enum ContactEmailAddressType

- java.lang.Object
- - java.lang.Enum<ContactEmailAddressType>
  - - com.avaya.clientservices.contact.fields.ContactEmailAddressType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ContactEmailAddressType>`

      public enum ContactEmailAddressType
      extends java.lang.Enum<ContactEmailAddressType>

  Describes the type associated with the email address.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CUSTOM` | Custom email address type.
    `HOME` | Home email address type.
    `MOBILE` | Mobile email address type.
    `OTHER` | Other email address type.
    `WORK` | Work email address type.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContactEmailAddressType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ContactEmailAddressType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WORK

          public static final ContactEmailAddressType WORK

      Work email address type.

    - #### HOME

          public static final ContactEmailAddressType HOME

      Home email address type.

    - #### MOBILE

          public static final ContactEmailAddressType MOBILE

      Mobile email address type.

    - #### CUSTOM

          public static final ContactEmailAddressType CUSTOM

      Custom email address type.

    - #### OTHER

          public static final ContactEmailAddressType OTHER

      Other email address type.

  - ### Method Detail

    - #### values

          public static ContactEmailAddressType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContactEmailAddressType c : ContactEmailAddressType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContactEmailAddressType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null